Loading...
Searching...
No Matches
bmpimage.hpp File Reference

Windows Bitmap (BMP) image. More...

`#include "exiv2lib_export.h"`
`#include "image.hpp"`

Go to the source code of this file.

## Classes

class | Exiv2::BmpImage
| Class to access Windows bitmaps. This is just a stub - we only read width and height. More...

## Namespaces

namespace | Exiv2
| Provides classes and functions to encode and decode Exif and Iptc data. The libexiv2 API consists of the objects of this namespace.
namespace | Exiv2::ImageType
| Supported image formats.

## Functions

EXIV2API Image::AutoPtr | Exiv2::newBmpInstance (BasicIo::AutoPtr io, bool create)
| Create a new BmpImage instance and return an auto-pointer to it. Caller owns the returned object and the auto-pointer ensures that it will be deleted.
EXIV2API bool | Exiv2::isBmpType (BasicIo &iIo, bool advance)
| Check if the file iIo is a Windows Bitmap image.

## Variables

const int | Exiv2::ImageType::bmp = 14
| Windows bitmap (bmp) image type (see class BmpImage)

## Detailed Description

Windows Bitmap (BMP) image.

Author
  Marco Piovanelli, Ovolab (marco) marco.piovanelli@pobox.com

Date
  05-Mar-2007, marco: created